EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Le Polissage des livres constitue la dernière touche de perfection pour finaliser les livres numériques que vous avez soigneusement élaborés.

Le polissage tente de minimiser les modifications apportées au code interne de votre livre numérique. Contrairement à la conversion, il n’aplatit pas les CSS, ne renomme pas les fichiers, ne change pas les tailles de police, n’ajuste pas les marges, etc… Chaque action exécute seulement le minimum de modifications nécessaires pour obtenir l’effet désiré.

Vous pouvez utiliser cet outil en dernière étape de votre processus de création de livre numérique.

Notez que le polissage ne ​​fonctionne que sur les fichiers aux formats AZW3 ou EPUB.

Chaque fois que vous passez à ebook-polish des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: « /some path/with spaces »

[OPTIONS]

--compress-images, -i
    Compresser les images sans perte dans le livre, pour les réduire, sans affecter la qualité de l'image.

--cover, -c
    Chemin vers une image de couverture. Change la couverture spécifiée dans le livre numérique. Si aucune couverture n'est présente ou si la couverture n'est pas identifiée correctement, insère une nouvelle couverture.

--embed-fonts, -e
    Incorporer toutes les polices qui sont référencées dans le document mais pas encore intégrées. Une recherche sera effectuée sur votre ordinateur et si les polices sont trouvées, elles seront intégrées dans le document. Veuillez vous assurer que vous possédez la licence appropriée avant d'incorporer les polices utilisées dans ce document.

--help, -h
    affiche ce message d'aide et quitte

--jacket, -j
    Insérer une page "jaquette de livre" au début du livre, sur laquelle on peut lire les éléments de métadonnées tels que le titre, les étiquettes, les auteurs, les séries, les commentaires, etc… Toute jaquette du livre préexistante sera remplacée.

--opf, -o
    Chemin vers un fichier OPF. Les métadonnées du livre sont mises à jour à partir du ficher OPF.

--remove-jacket
    Enlever la page jaquette préexistante.

--remove-unused-css, -u
    Supprimer toutes les règles CSS inutilisées des feuilles de style et des mots-clés <style> . Certains livres créés à partir de modèles de production peuvent comporter un grand nombre de règles CSS supplémentaires qui ne correspondent à aucun contenu présent. Ces règles supplémentaires peuvent ralentir certains lecteurs qui ont besoin de toutes les analyser.

--smarten-punctuation, -p
    Convertir les tirets de texte brut, ellipses, guillemets, multiples traits d'union, etc… dans leurs équivalents typographiques corrects. Notez que l'algorithme peut parfois générer des résultats erronés, en particulier en présence d'apostrophes utilisées pour les contractions de mots.

--subset-fonts, -f
    Créer un sous-ensemble de polices signifie réduire une police embarquée pour contenir uniquement les caractères utilisés de cette police dans le livre. Cela réduit considérablement la taille des fichiers de police (une réduction de moitié de la taille du fichier de police est fréquent). Par exemple, si le livre utilise une police spécifique pour les en-têtes, alors créer un sous-ensemble réduira la police pour ne contenir que les caractères réellement présents dans les en-têtes du livre. Ou si le livre intègre les versions en gras et italique d'une police, mais que le texte en italique ou en gras est relativement rare, voire inexistant, alors les caractères gras et en italiques peuvent être soit réduits à seulement quelques caractères, voire complètement retirés. Le seul inconvénient des sous-ensembles de polices, c'est que si, à une date ultérieure, vous décidez d'ajouter du texte à vos livres, le texte nouvellement ajouté pourrait ne pas être pris en compte par la police réduite.

--verbose
    Générer une sortie plus détaillée (utile pour le débogage)

--version
    affiche le numéro de version du logiciel et quitte

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal